// eoltoken.hh
// end-of-line token class
// Kevin Puckett Albrecht
// Rev 2
// 30 March 2000 - 27 June 2000

#ifndef EOLTOKEN_HH
#define EOLTOKEN_HH

/////////////////////////
// DEFINES //////////////
/////////////////////////

/////////////////////////
// INCLUDES /////////////
/////////////////////////

// Standard //

// Local //
#include "token.hh"
#include "inbuffer.hh"

/////////////////////////
// DEFINITIONS //////////
/////////////////////////

class EOLToken : public Token
{
  public:
    EOLToken () {code = codeEOL;}

    virtual void Get ();
    virtual bool IsDelimiter () const {return false;}
};

//// Get ////
void EOLToken::Get ()
{
  buffer[0] = 0;

  gpBuffer->Seek ();
}

#endif