// common.hh
// Class with methods and variables common to the entire program.
// Kevin Puckett Albrecht
// Rev 6
// 19 March 2000 - 29 Oct 2000

#ifndef COMMON_HH
#define COMMON_HH

/////////////////////////
// DEFINES //////////////
/////////////////////////

/////////////////////////
// INCLUDES /////////////
/////////////////////////

// Standard //

// Local //

/////////////////////////
// DEFINITIONS //////////
/////////////////////////

class Common
{
  public:
    Common ();
    ~Common ();

    int nNestLevel; // current nesting level
    int nCurrentLine; // current line number
    int nTrees;
    int nErrors; // syntax errors
    int nGotos; // number of times a goto has executed
    bool bVerbose; // output verbose debug messages
    bool bImplicit; // variable declarations are either implicit or explicit
};

//// Constructor ////
Common::Common ()
{
  nNestLevel = 0;
  nCurrentLine = 0;
  nTrees = 0;
  nErrors = 0;
  nGotos = 0;
  bVerbose = false;
  bImplicit = false; // set variable declarations to explicit by default
}

//// Destructor ////
Common::~Common ()
{}

#endif