// eoftoken.hh
// end-of-file token class
// Kevin Puckett Albrecht
// Rev 2
// 21 March 2000 - 27 June 2000

#ifndef EOFTOKEN_HH
#define EOFTOKEN_HH

/////////////////////////
// DEFINES //////////////
/////////////////////////

/////////////////////////
// INCLUDES /////////////
/////////////////////////

// Standard //

// Staccato //
#include "token.hh"

/////////////////////////
// DEFINITIONS //////////
/////////////////////////

class EOFToken : public Token
{
  public:
    EOFToken () {code = codeEOF;}

    virtual void Get () {buffer[0] = 0;}
    virtual bool IsDelimiter () const {return false;}
};

#endif